@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:wght@700&display=swap");

.navbar-text {
  font-family: "Playfair Display", serif;
  font-weight: 600;
  font-size: 26px;
  color: white !important;
  margin-left: 10px;
}

#collapsibleNavId {
  padding-right: 20px;
}

.custom-pill {
  border: solid 3px white;
  padding-left: 10px !important;
  padding-right: 10px;
  border-radius: 50px;
}

.custom-pill .nav-link {
  color: white !important;
  border-radius: 50px;
  padding: 8px 20px;
  transition: transform 0.3s ease-in-out, filter 0.3s ease-in-out;
}

.custom-pill .nav-link.active,
.custom-pill .nav-link:hover {
  color: #cfcfcf !important;
  transform: scale(1.02);
}

.navbar-toggler + .navbar-toggler {
  display: none !important;
}

@media (max-width: 676px) {
  .custom-pill {
    border: none;
    border-radius: 0;
    padding: 0;
  }
}

.nav-link {
  font-family: "Playfair Display", serif;
  font-weight: 700;
  font-size: 18px !important;
  color: white !important;
}

/* End of Navbar */

.hero-text {
  font-family: "Playfair Display", serif;
  color: white;
  background-color: rgba(0, 0, 0, 0.25);
  border-radius: 20px;
  top: 60% !important;
  margin-left: 20px !important;
  padding-right: 10px;
}

.hero-text2 {
  font-family: "Playfair Display", serif;
  color: white;
  border-radius: 20px;
  top: 10% !important;
  margin-left: 45vw !important;
  font-family: "Playfair Display", serif;
  font-size: 4vw;
}

.hero-text p {
  font-family: "Poppins", serif;
  font-size: 2vw;
}

.hero-text h1 {
  font-family: "Playfair Display", serif;
  font-size: 4vw;
}

.hero-image {
  width: 100%;
  height: 75vh !important;
  object-fit: cover;
}

.hero-image2 {
  width: 100%;
  height: 90vh !important;
  object-fit: cover;
}

.hero-image3 {
  width: 100%;
  height: 50vh !important;
  object-fit: cover;
}

body {
  background-color: #f8f9fa !important;
}

#ChannelInnerHarmony h1 {
  margin-top: 50px;
  font-size: 50px;
  font-family: "Playfair Display", serif;
  color: #333333;
}

#ChannelInnerHarmony p {
  padding-top: 5px;
  font-family: "Lora";
  max-width: 700px;
  margin: 0 auto;
  color: #898989;
  line-height: 1.5;
  font-size: 20px;
}

.card-price {
  color: white;
  font-size: x-large;
}

.card-group {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding-left: 20px;
  padding-right: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.card {
  margin-top: 30px !important;
  width: 300px;
  height: 300px;
  display: flex;
  flex-direction: column;
  border-radius: 15px !important;
  overflow: hidden;
  flex-wrap: wrap;
}

.card-content {
  display: flex;
  align-items: center;
  height: 100%;
  transition: transform 0.3s ease-in-out;
}

.card-content:hover {
  transform: scale(1.03);
}

.card-img-left {
  width: 40%;
  height: 100%;
  margin-right: 20px;
  object-fit: cover;
}

.card-body {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.card-title {
  font-family: "Playfair Display", serif;
  color: white !important;
}

.card-text {
  margin-top: -15px;
  font-family: "Lora";
  color: white;
  font-size: small;
}

@media (max-width: 956px) {
  .card {
    width: 90vw;
    margin: auto;
  }

  .col-md-3 {
    margin-top: 50px !important;
  }

  .card-content {
    flex-direction: column;
  }

  .card-img-left {
    width: 112%;
    height: 400px;
  }

  .card-body {
    flex: 1;
  }

  .card-text {
    max-width: 400px;
  }
}

.title {
  font-size: 34px;
  font-weight: bold;
  margin-bottom: 20px;
  font-family: "Playfair Display", serif;
}

.divider-text {
  font-size: 28px;
  font-weight: bold;
  padding-right: 15px;
  font-family: "Playfair Display", serif;
  padding-left: 10px;
}

/* affirmations cards */
.affirmations-card {
  background-color: #e0ca3c !important;
  height: 100% !important;
  border: none !important;
  width: 300px;
  margin-left: auto;
  margin-right: auto;
  transition: transform 0.4s ease-in-out, filter 0.2s ease-in-out;
  box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.45);
}

.affirmations-card:hover {
  transform: translateY(-15px) scale(1.04);
  filter: brightness(0.9);
}

.affirmations-image {
  height: 400px;
  width: 100%;
  object-fit: cover;
}

.Services-image {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.service-text h2 {
  font-family: "Playfair Display", serif;
  text-align: center;
}

.service-text p {
  font-family: "Lora", sans-serif;
  text-align: center;
  margin: auto;
  max-width: 300px;
}

.affirmations-body {
  padding: 7px;
}

.affirmations-title {
  font-family: "poppins", serif;
  font-weight: 100;
  color: white;
  text-align: center;
  margin-bottom: 0;
}

.affirmations-text {
  font-family: "Poppins";
  color: white;
  text-align: center;
}

.filled {
  background-color: white;
}

/* carousel */
.btn-color {
  color: white !important;
  background-color: #e0ca3c !important;
  border-radius: 10px !important;
  transition: transform 0.3s ease-in-out !important;
  padding: 10px 20px;
  min-width: 150px;
  margin: 0 10px;
}

.btn-color:hover {
  transform: scale(1.1) !important;
}

.nounderline {
  text-decoration: none;
}

@media (max-width: 1202px) {
  /* disables carousel from continuing to move */
  .carousel,
  .carousel-inner,
  .carousel-item {
    display: flex !important;
    flex-wrap: wrap !important;
    justify-content: center !important;
    gap: 20px;
    transition: none !important;
  }

  #affirmationsCarousel {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
  }

  .carousel-inner {
    display: block !important;
  }

  .carousel-item {
    display: flex !important;
    flex-wrap: wrap;
    justify-content: center;
  }

  .carousel-item.active {
    display: flex !important;
  }

  .carousel-item .col-md-3 {
    flex: 1 1 calc(50% - 20px);
    max-width: calc(50% - 20px);
  }

  #learnandsharecards {
    flex: 0 0 50%;
    max-width: 50%;
  }
}

@media (max-width: 676px) {
  .carousel-item .col-md-3 {
    flex: 1 1 100%;
    max-width: 100%;
  }
}

/* reviews */

.center {
  justify-content: center !important;
}

.card-Purple {
  background-color: #c0a2db !important;
  border: none !important;
  border-radius: 12px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.card-Purple:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.card-Purple img {
  border: 3px solid white;
  border-radius: 50%;
  width: 25%;
  height: auto;
}

.card-title {
  font-family: "Playfair Display", serif;
  margin-bottom: 0.5rem;
}

.Name-Reviewer,
.reviewtime,
#card-text {
  color: white !important;
}

.reviewtime {
  font-family: "Lora", sans-serif;
  font-size: medium;
}

#card-text {
  line-height: 1.5;
  margin-top: 1rem;
}

#card-text i {
  font-size: x-large !important;
  font-family: "Lora", sans-serif;
}

#buy-title {
  font-family: "Playfair Display", serif;
  font-size: 2rem;
}

/* FAQ */
.accordion-item {
  margin: auto !important;
  max-width: 1000px;
  background-color: #77805c !important;
  border: none;
  border-radius: 12px;
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.accordion-body {
  font-family: "Lora", sans-serif !important;
  color: white;
  font-size: 18px;
}

.accordion-item:hover {
  transform: translateY(-3px);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
}

.accordion-button {
  background-color: #c2b280 !important;
  color: white !important;
  font-family: "Playfair Display", serif;
  font-weight: bold;
  font-size: 30px !important;
  border-radius: 12px;
  transition: background-color 0.3s ease;
}

.accordion-button:hover {
  background-color: #bda869 !important;
}

.accordion-button:focus {
  box-shadow: none;
}

.accordion-button:not(.collapsed) {
  background-color: #c2b280 !important;
  color: white !important;
  box-shadow: none;
}

/* About Us Section */
.about-section {
  color: #333;
  border-radius: 20px;
}

.about-title {
  font-family: "Playfair Display", serif;
  font-size: 2.5rem;
  font-weight: bold;
}

.about-text {
  font-family: "Lora", sans-serif;
  font-size: 1.1rem;
  line-height: 1.7;
  max-width: 500px;
}

/* Image Collage */
.about-images {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto auto;
  gap: 10px;
}

.about-images img {
  width: 100%;
  max-height: 300px;
  border-radius: 12px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  object-fit: cover;
}

.about-images img:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

.about-images .middle {
  display: flex;
  gap: 10px;
}

.about-images .middle img {
  width: 50%;
}

.about-images .medium {
  width: 100%;
  margin: 0 auto;
  display: block;
}

/* Mobile Adjustments */
@media (max-width: 768px) {
  .about-container {
    flex-direction: column;
    text-align: center;
  }
  .about-text {
    max-width: 100%;
  }
  .about-images .middle {
    flex-direction: column;
  }
  .about-images .middle img {
    width: 100%;
  }

  #PhoneNumber,
  #mailaddress {
    font-size: 5vw !important;
    font-family: "Playfair Display", serif;
  }
}

#PhoneNumber,
#mailaddress {
  font-size: 40px;
  font-family: "Playfair Display", serif;
}

#mailaddress a,
#PhoneNumber a {
  color: #333 !important;
  text-decoration: underline !important;
  font-family: "Playfair Display", serif !important;
}

#FooterPhoneNum,
#FooterMail,
.font {
  color: white !important;
  font-family: "Playfair Display", serif !important;
}

center {
  margin-left: 40px !important;
}

#image-container {
  position: relative;
  width: 80%;
  max-width: 1000px;
  margin: 40px auto;
  overflow: hidden;
}
#image-container img {
  width: 100%;
  border-radius: 15px;
  max-height: 600px;
  display: block;
  object-fit: cover;
}
#overlay-button {
  position: absolute;
  bottom: 20px;
  left: 50%;
  font-family: "Playfair Display", serif;
  background-color: rgba(0, 0, 0, 0.55);
  transform: translateX(-50%);
  color: #fff8dc;
  padding: 10px 25px;
  border: 2px solid #fffff0;
  border-radius: 50px;
  font-size: 1.1rem;
  text-decoration: none;
  transition: background-color 0.3s ease-in-out, transform 0.3s ease-in-out,
    border-color 0.3s ease-in-out;
}

#overlay-button:hover {
  background-color: #fae48e !important;
  transform: translateX(-50%) scale(1.05);
  border-color: #fae48e;
  color: #333;
}

.rounded-image {
  width: 90%;
  max-height: 200px;
  max-width: 300px;
  border-radius: 15px;
  transition: transform 0.3s ease-in-out;
}
.rounded-image:hover {
  transform: scale(1.05);
}

.event-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
}

.event-item {
  display: flex;
  align-items: top;
  justify-content: center !important;
  gap: 20px;
  width: 80%;
  flex-wrap: wrap;
}

.event-item.reversed {
  flex-direction: row-reverse;
}

.event-image {
  width: 450px !important;
  height: 350px !important;
  object-fit: cover; /* Ensures the image fills the container */
  border-radius: 15px;
  transition: transform 0.3s ease-in-out;
  display: block; /* Prevents extra space below the image */
}

.event-image:hover {
  transform: scale(1.02);
}

.event-text {
  max-width: 600px;
  text-align: left;
}

.event-text h2 {
  margin-bottom: 10px;
  font-size: 2.5rem;
  color: #333;
  font-family: "Playfair Display", serif;
}

.event-text p {
  font-size: 1rem;
  color: #555;
  font-family: "Lora", sans-serif !important;
}

.round-img {
  border-radius: 50px !important;
}

#SignUpToday {
  background-color: #e0ca3c;
  color: #333333;
  margin-top: 30px;
  padding: 10px 150px;
  font-size: 24px;
  font-family: "Playfair Display", serif;
  border: none;
  transition: transform 0.3s ease-in-out;
}

#SignUpToday:hover {
  transform: scale(1.05);
}

.section-divider {
  width: 90vw;
  height: 2px;
  background-color: #000;
  margin: 40px auto;
}

.SpiritualPractices h3 {
  margin-bottom: 10px;
  font-size: 2.5rem;
  color: #333;
  font-family: "Playfair Display", serif;
}

.SpiritualPractices p {
  font-size: 1rem;
  color: #555;
  font-family: "Lora", sans-serif !important;
  max-width: 900px;
  text-align: left;
  margin: auto !important;
}

.icons {
  margin: auto !important;
}

.text-center {
  margin: auto !important;
}

.affirmations-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  margin: 40px 0;
}

.affirmation-card {
  width: 450px;
  height: 350px;
  perspective: 1000px;
}

.affirmation-inner {
  width: 100%;
  height: 100%;
  position: relative;
  transform-style: preserve-3d;
  transition: transform 0.6s;
}

.affirmation-card:hover .affirmation-inner {
  transform: rotateY(180deg);
}

.affirmation-front,
.affirmation-back {
  width: 100%;
  height: 100%;
  position: absolute;
  backface-visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 15px;
  font-size: 16px;
  text-align: center;
  border-radius: 10px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.14);
}

.affirmation-front {
  background: linear-gradient(135deg, #c0a2db, #fbc2eb);
  color: #fff;
  font-weight: bold;
  font-size: 30px;
}

.affirmation-back {
  background: linear-gradient(135deg, #ff9a9e, #e0ca3c);
  color: #fff;
  transform: rotateY(180deg);
  font-family: "Poppins", sans-serif;
  font-size: 30px;
}

.OurServices h1 {
  font-family: "Playfair Display", serif;
  margin-top: 20px !important;
}

.OurServices p {
  font-family: "Lora", sans-serif;
  margin-top: 20px !important;
  max-width: 600px;
  margin: auto;
}

.womenhealth {
  margin: auto;
  max-width: 1000px;
  border-radius: 15px;
  background-color: white;
  border: 1.5px solid #d3d3d3;
  padding: 30px;
  margin-top: 30px;
}

.womenhealth h1 {
  text-align: center;
  font-family: "Playfair Display", serif;
  padding-bottom: 20px;
}

.womenhealth p,
.womenhealth ul {
  font-family: "Lora", sans-serif;
  color: #333333;
  padding: 0px 30px;
  max-width: 1000px;
  font-size: large;
}

.womenhealth p {
  text-align: left;
}

.horizontal-Image {
  margin-top: 30px;
  width: 100%;
  height: 400px;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

.disclaimer {
  background-color: #ffe8e8;
  padding: 10px;
  border-left: 4px solid #d9534f;
}

.crisis {
  background-color: #ffcccb;
  padding: 10px;
  border-left: 4px solid #c82333;
  font-weight: bold;
}

.highlight {
  color: #d9534f;
}

.resources-title {
  font-family: "Playfair Display", serif;
  font-size: 3rem;
}

.mental-health-container {
  display: flex;
  gap: 20px;
  align-items: flex-start;
}

.mental-health-container {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 20px;
  padding: 20px;
  max-width: 1200px;
  margin: 0 auto;
  padding-right: 15px;
  padding-left: 15px;
  margin-top: 20px;
  margin-bottom: 20px;
}

.text-content {
  flex: 2;
  min-width: 300px;
  flex: 2;
  font-family: "Lato", sans-serif;
  line-height: 1.6;
  color: #333;
}

.images {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.images img {
  width: 100%;
  max-width: 500px;
  height: auto;
  border-radius: 15px;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}

@media (max-width: 900px) {
  .mental-health-container {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .text-content {
    width: 90%;
  }

  .images {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
  }

  .images img {
    max-width: 300px;
  }
}

/* Media Query for Mobile */
@media (max-width: 600px) {
  .images img {
    max-width: 90%;
  }
}

#review-title {
  font-family: "Playfair Display", serif;
  font-size: 2.5rem;
}

.form-container {
  max-width: 1000px;
  margin: 50px auto;
  background: white;
  padding: 40px;
  border-radius: 16px;
  box-shadow: 0 8px 20px rgba(0, 0, 0, 0.1);
}

.form-container h1 {
  text-align: center;
  margin-bottom: 30px;
  font-family: "Playfair Display", serif;
}

label {
  display: block;
  margin-bottom: 6px;
  font-family: "Poppins", serif;
}

input,
select,
textarea {
  width: 100%;
  padding: 12px;
  margin-bottom: 20px;
  border: 1px solid #ccc;
  border-radius: 8px;
  font-size: 16px;
}

textarea {
  resize: vertical;
}

.col-half {
  flex: 1;
  min-width: 300px;
}

.submit-btn {
  display: block;
  width: 95%;
  margin: 7px auto 0 auto;
  font-family: "Playfair Display", serif;
  padding: 14px;
  background-color: #e0ca3c;
  color: white;
  border: none;
  border-radius: 15px;
  font-size: 18px;
  cursor: pointer;
  transition: background 0.3s ease, transform 0.3s ease-in-out;
}

.submit-btn:hover {
  background-color: #c8b535;
  transform: scale(1.05);
}

@media (max-width: 600px) {
  .form-container {
    padding: 20px;
  }
}

.recoveringtext {
  max-width: 750px;
  margin: 0 auto 30px auto;
  padding: 0px 30px 0 30px;
}

.recoveringtext h2 {
  font-family: "Playfair Display", serif;
}

.recoveringtext p {
  font-family: "Lora", sans-serif;
  line-height: 1.6;
}

.image-row {
  display: flex;
  justify-content: center;
  gap: 30px;
  padding: 20px;
}

.image-row img {
  width: 20vw;
  height: 20vw;
  max-width: 500px;
  max-height: 500px;
  border-radius: 50%;
  object-fit: cover;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}

.image-row img:hover {
  transform: scale(1.05);
}
